## org.hibernate.metamodel.domain
Class JavaType

    java.lang.Object
      org.hibernate.metamodel.domain.JavaType

    public class JavaType

extends Object

Models the naming of a Java type where we may not have access to that type's `Class` reference. Generally speaking this is the case in various hibernate-tools and reverse-engineering use cases.

Constructor Summary
`JavaType(Class<?> theClass)`
`JavaType(String name, ClassLoaderService classLoaderService)`

Method Summary
`Class<?>` `getClassReference()`
`String` `getName()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaType

    public JavaType(String name,
                    ClassLoaderService classLoaderService)

### JavaType

    public JavaType(Class<?> theClass)

Method Detail

### getName

    public String getName()

### getClassReference

    public Class<?> getClassReference()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.